NoSuchMechanismException (Java Platform SE 8 )
Keywords: javax.xml.crypto.NoSuchMechanismException class
Date: 2026-04-22

compact3
javax.xml.crypto

## Class NoSuchMechanismException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.xml.crypto.NoSuchMechanismException

- All Implemented Interfaces:
    Serializable

      public class NoSuchMechanismException
      extends RuntimeException

  This exception is thrown when a particular XML mechanism is requested but is not available in the environment.

  A `NoSuchMechanismException` can contain a cause: another throwable that caused this `NoSuchMechanismException` to get thrown.

  Since:
    1.6
  See Also:
    `XMLSignatureFactory.getInstance`, `KeyInfoFactory.getInstance`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoSuchMechanismException()` Constructs a new `NoSuchMechanismException` with `null` as its detail message.
    `NoSuchMechanismException(String message)` Constructs a new `NoSuchMechanismException` with the specified detail message.
    `NoSuchMechanismException(String message, Throwable cause)` Constructs a new `NoSuchMechanismException` with the specified detail message and cause.
    `NoSuchMechanismException(Throwable cause)` Constructs a new `NoSuchMechanismException` with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Throwable` | `getCause()` Returns the cause of this `NoSuchMechanismException` or `null` if the cause is nonexistent or unknown.
    `void` | `printStackTrace()` Prints this `NoSuchMechanismException`, its backtrace and the cause's backtrace to the standard error stream.
    `void` | `printStackTrace(PrintStream s)` Prints this `NoSuchMechanismException`, its backtrace and the cause's backtrace to the specified print stream.
    `void` | `printStackTrace(PrintWriter s)` Prints this `NoSuchMechanismException`, its backtrace and the cause's backtrace to the specified print writer.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoSuchMechanismException

          public NoSuchMechanismException()

      Constructs a new `NoSuchMechanismException` with `null` as its detail message.

    - #### NoSuchMechanismException

          public NoSuchMechanismException(String message)

      Constructs a new `NoSuchMechanismException` with the specified detail message.
      Parameters:
        `message` - the detail message

    - #### NoSuchMechanismException

          public NoSuchMechanismException(String message,
                                          Throwable cause)

      Constructs a new `NoSuchMechanismException` with the specified detail message and cause.

      Note that the detail message associated with `cause` is not automatically incorporated in this exception's detail message.

      Parameters:
        `message` - the detail message
        `cause` - the cause (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

    - #### NoSuchMechanismException

          public NoSuchMechanismException(Throwable cause)

      Constructs a new `NoSuchMechanismException` with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).
      Parameters:
        `cause` - the cause (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

  - ### Method Detail

    - #### getCause

          public Throwable getCause()

      Returns the cause of this `NoSuchMechanismException` or `null` if the cause is nonexistent or unknown. (The cause is the throwable that caused this `NoSuchMechanismException` to get thrown.)
      Overrides:
        `getCause` in class `Throwable`
      Returns:
        the cause of this `NoSuchMechanismException` or `null` if the cause is nonexistent or unknown.

    - #### printStackTrace

          public void printStackTrace()

      Prints this `NoSuchMechanismException`, its backtrace and the cause's backtrace to the standard error stream.
      Overrides:
        `printStackTrace` in class `Throwable`

    - #### printStackTrace

          public void printStackTrace(PrintStream s)

      Prints this `NoSuchMechanismException`, its backtrace and the cause's backtrace to the specified print stream.
      Overrides:
        `printStackTrace` in class `Throwable`
      Parameters:
        `s` - `PrintStream` to use for output

    - #### printStackTrace

          public void printStackTrace(PrintWriter s)

      Prints this `NoSuchMechanismException`, its backtrace and the cause's backtrace to the specified print writer.
      Overrides:
        `printStackTrace` in class `Throwable`
      Parameters:
        `s` - `PrintWriter` to use for output

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.